Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Dlarfg

    java.lang.Object
      org.netlib.lapack.Dlarfg

    public class Dlarfg

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DLARFG generates a real elementary reflector H of order n, such
     *  that
     *
     *        H * ( alpha ) = ( beta ),   H' * H = I.
     *            (   x   )   (   0  )
     *
     *  where alpha and beta are scalars, and x is an (n-1)-element real
     *  vector. H is represented in the form
     *
     *        H = I - tau * ( 1 ) * ( 1 v' ) ,
     *                      ( v )
     *
     *  where tau is a real scalar and v is a real (n-1)-element
     *  vector.
     *
     *  If the elements of x are all zero, then tau = 0 and H is taken to be

     *  the unit matrix.
     *
     *  Otherwise  1 <= tau <= 2.
     *
     *  Arguments
     *  =========
     *
     *  N       (input) INTEGER
     *          The order of the elementary reflector.
     *
     *  ALPHA   (input/output) DOUBLE PRECISION
     *          On entry, the value alpha.
     *          On exit, it is overwritten with the value beta.
     *
     *  X       (input/output) DOUBLE PRECISION array, dimension
     *                         (1+(N-2)*abs(INCX))
     *          On entry, the vector x.
     *          On exit, it is overwritten with the vector v.
     *
     *  INCX    (input) INTEGER
     *          The increment between elements of X. INCX > 0.
     *
     *  TAU     (output) DOUBLE PRECISION
     *          The value tau.
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`Dlarfg()`

Method Summary
`static void` | `dlarfg(int n, doubleW alpha, double[] x, int _x_offset, int incx, doubleW tau)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Dlarfg

    public Dlarfg()

Method Detail

### dlarfg

    public static void dlarfg(int n,
                              doubleW alpha,
                              double[] x,
                              int _x_offset,
                              int incx,
                              doubleW tau)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD